libmwaw::PrinterRectResolution Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Friends | List of all members
libmwaw::PrinterRectResolution Struct Reference

Internal: structure used to keep a rectangle with its resolution. More...

## Public Member Functions
| PrinterRectResolution ()
PrinterRect | page () const
| page dimension More...
MWAWVec2i const & | resolution () const
| resolution More...
bool | read (MWAWInputStreamPtr input)
| reads the data from file More...

## Protected Attributes
PrinterRect | m_rect
| returns the main rectangle More...
MWAWVec2i | m_resolution
| returns the resolution More...
int | m_iDev
| a field which is reserved More...

## Friends
std::ostream & | operator<< (std::ostream &o, PrinterRectResolution const &r)
| operator << More...

## Detailed Description

Internal: structure used to keep a rectangle with its resolution.

## Constructor & Destructor Documentation

libmwaw::PrinterRectResolution::PrinterRectResolution | ( |  | ) |
| inline

## Member Function Documentation

PrinterRect libmwaw::PrinterRectResolution::page | ( |  | ) | const
| inline

page dimension

bool libmwaw::PrinterRectResolution::read | ( | MWAWInputStreamPtr | input | ) |
| inline

reads the data from file

MWAWVec2i const& libmwaw::PrinterRectResolution::resolution | ( |  | ) | const
| inline

resolution

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | PrinterRectResolution const & | r
| ) |  |
| friend

operator <<

## Member Data Documentation

int libmwaw::PrinterRectResolution::m_iDev
| protected

a field which is reserved

Referenced by read().

PrinterRect libmwaw::PrinterRectResolution::m_rect
| protected

returns the main rectangle

Referenced by page(), and read().

MWAWVec2i libmwaw::PrinterRectResolution::m_resolution
| protected

returns the resolution

Referenced by read(), and resolution().

The documentation for this struct was generated from the following file:

- MWAWPrinter.cxx